:root {
  --blue: #004288;        /* Baker primary deep blue */
  --light-blue: #0077c0;  /* Lighter Baker blue for hover/accents */
  --dark-red: #971e1f;    /* Baker dark red accent */
  --very-dark-red: #d31145; /* Very dark red for header/footer */
}

/* Buttons */
.g3-button--primary,
.g3-dropdown-button__button--primary,
.data-dictionary__switch-button--active,
.popup__title, .button-primary-orange {
  background-color: var(--blue);
}

.g3-button--primary:hover,
.g3-dropdown-button__button--primary:hover,
.data-dictionary__switch-button:hover,
.button-primary-orange:hover {
  background-color: var(--light-blue);
}

.g3-button--default:active, .g3-button--default:active svg path {
  border: 1px solid var(--blue);
  color: var(--blue);
  fill: var(--blue);
}

/* Nav Bars and Footer */
.top-bar,
.top-bar__header,
.top-icon-button.body-typo {
  background-color: var(--very-dark-red);
}

.top-bar__link {
  border-right: 2px solid #fff;
}

.nav-button:hover,
.button-active,
.nav-bar__link--home:hover {
  border-bottom: 3px solid var(--blue);
}

.nav-bar__logo {
  padding: 15px 0;
}

.nav-bar__logo-img {
  height: 50px;
}

.footer,
.footer-container,
.footer__nav {
  background-color: var(--blue);
}

/* Data Explorer */
.filter-group__tab,
.g3-filter-group__tab {
  border-top: 1px solid var(--blue);
  border-right: 1px solid var(--blue);
  border-left: 1px solid var(--blue);
  color: var(--blue);
}

.tier-access-selector__radio-input:checked + .tier-access-selector__customized-radio-input::after {
  background-color: var(--blue);
}

.filter-group__tab--selected,
.g3-filter-group__tab--selected {
  background-color: var(--blue);
  color: #fff;
}

.aggregation-card .bucket-item .bucket-count {
  color: var(--blue);
}

.aggregation-card input[type='checkbox']:checked {
  background: var(--light-blue);
}

.g3-single-select-filter__checkbox:checked {
  background: var(--blue);
}

.sqon-clear {
  background-color: var(--blue);
}

.sqon-value {
  background-color: var(--light-blue);
}

.sqon-value-group,
.sqon-more,
.sqon-less {
  color: var(--blue);
}

.input-range__track--active,
.rc-slider-track,
.g3-single-select-filter__count .g3-icon--under {
  background-color: var(--blue);
}

/* Charts */
tspan.special-number,
.special-number,
.form-special-number,
.g3-single-select-filter__count {
  color: var(--blue);
}

.special-number {
  fill: var(--blue);
}

.data-explorer__charts {
  tspan.special-number,
  .special-number,
  .form-special-number {
    color: var(--blue);
  }
  .special-number {
    fill: var(--blue);
  }
}

.explorer-button-group__dropdown {
  margin-right: 10px;
}

/* Discovery tweaks */
.discovery-container tr {
  cursor: pointer;
}

.discovery-input-subtitle {
  font-size: 14px;
}
